Subject: Re: [Modern] Problem statement draft problems

From: "Gorman, Pierce A [CTO]" <[email-masked]>
Date: Mon, 28 Dec 2015 22:53:49 +0000

Steve,

In section 1 I would strike the sentence, "   Telephone numbering, however, has long been transitioning away from a provider-centric model towards a user-centric model."  I think the statement is arguable and isn't needed.

The statement, " TN administration processes rooted in PSTN technology and policies dictate that this be an exception process fraught with problems and delays" may stand on it's own for someone familiar with the technology, policies, problems, and delays, but I think that is probably a small minority.

Can you elaborate?  If not, I suggest removing this statement as well.

Also, I would suggest that users already have full control of their TN.  Certainly nobody will take it from them (although the area code portion of telephone numbers using the NANP dial plan can and does occassionally change).  And the porting process is solely driven by the users.  (Although it might be worth pointing out porting in order to improve inbound call routing to IMS-based numbers has been a consideration for some North American carriers deploying VoLTE.)

The statement, " Ideally the user would have full control of their TN and would drive the porting process on their own rather than rely on complex and time
consuming back office processes among multiple service providers" needs work.  What is the definition of "full control" and what makes full control "ideal"?

How about, "Some members of the MODERN working group think users ought to be able to use an Internet-available database to directly make changes to the services associated with and the provisioning of their telephone number without assistance from service providera."?

As mentioned before, claiming that the back office process among multiple service providers is complex does not imply harm or even a problem to be fixed.  Telephony is complex, but it is also very useful so the fact that it is complex doesn't mean that it is bad, harmful, or a problem to be addressed.

I recommend striking the phrase, "rather than rely on complex and time consuming back office processes among multiple service providers".

Part of the problem here is you cannot really assert a priori that a MODERN system will be less time consuming or even less complex.  The fact that the user will necessarily require assistance from one or more service providers in completing the provisioning of their service (in the case of mobile telephony at least) makes this a certainty.  In fact, it would be easy to argue that MODERN will be more complex.

I'm also confused by the reference to back office processes as though they are inherently harmful.  Other terms for the same activity are Operational Support Systems (OSS) and Business Support Systems (BSS).  These terms don't have a negative or positive connotation though, so perhaps they also don't belong in a problem statement?

With respect to geographic number assignment, the rejoinder, "But the overwhelming success of mobile telephones has increasing eroded the connection between numbers and regions" has problems at least in the context of the North American numbering plan.

I think what you mean is that after a mobile telephone number is assigned (likely for the majority of a user's life once non-geographic portability is supported), a fair quantity of users (but far less than even 50%?) will move outside of the geography of the original assignment rendering the geographic information associated with that mobile number anachronistic and inaccurate.  I would agree with this, and I would agree it causes problems for service providers.  I wouldn't necessarily agree it's a problem a new MODERN system could help with.

What is lost in this view is that there is an underlying routing number which still retains a very certain geographic component.  Even if we eliminated routing numbers and their reference to the LERG (again North America-centric view), there are very real operational reasons for wanting to recognize geography when "homing" the terminating service processing (at least).

One of the problems with Internet telephony is the lack of recognition for geography both in telephone call routing and in number assignment.  Understanding geography and it's interaction with call processing and numbering is going to be one of the key challenges for MODERN.  I don't mean this as a reason not to work on MODERN. I mean it as helpful hint.  There is a real cost both to service providers and users for unoptimized call routing and media transport.

I recommend changing the statement to, " But the overwhelming success of mobile telephones has increasing obfuscated the connection between numbers and regions".

This way you point out that there is and should be an intentional relationship between mobile telephone numbering and operations at least, but that portability and Internet-telephony present special signaling and media path optimization problems.

The issue will be for MODERN WG how to develop a new system of telephone number databasing that doesn't just recognize those problems, but somehow helps with them beyond what is available with conventional mechanisms.

That's more than enough for this session.  I'll try to pick up tomorrow.

Regards,

Pierce

________________________________
Learn more on how to switch to Sprint and save 50% on most Verizon, AT&T or T-Mobile rates. See sprint.com/50off<http://sprint.com/50off> for details.

________________________________

This e-mail may contain Sprint proprietary information intended for the sole use of the recipient(s). Any use by others is prohibited. If you are not the intended recipient, please contact the sender and delete all copies of the message.